Spreadsheet Cloud API: postCompress

Compress files and generate target files in various formats, supported file formats are include Xls, Xlsx, Xlsm, Xlsb, Ods and more.

Quick Start

Interface Details

Endpoint

POST http://api.aspose.cloud/v3.0/cells/compress

Function Description

PageTitle: Compress Excel files, and generate target files in various formats.PageDescription: Aspose.Cells Cloud provides robust support for compressing Excel files to generate target files in various formats, a process known for its intricacy.HeadTitle: Compress Excel files, and generate target files in various formats.HeadSummary: Aspose.Cells Cloud provides robust support for compressing Excel files to generate target files in various formats, a process known for its intricacy.HeadContent: Aspose.Cells Cloud provides REST API which supports compressing Excel files to generate target files in various formats and offers SDKs for multiple programming languages. These programming languages are include of Net, Java, Go, NodeJS, Python, and so on.

The request parameters of postCompress API are:

| Parameter Name | Type | Path/Query String/HTTPBody | Description | | :- | :- | :- |:- | |File|File|FormData|File to upload| |CompressLevel|Integer|Query|Compress level. The compression ratio 1-100.| |password|String|Query|The password needed to open an Excel file.| |checkExcelRestriction|Boolean|Query|Whether check restriction of excel file when user modify cells related objects.|

Response Description

{
  "Name": "FilesResult",
  "Description": [
    "Class features: Weekly lectures, group projects, midterm and final exams, and participation in class discussions."
  ],
  "Type": "Class",
  "IsAbstract": false,
  "Properties": [
    {
      "Name": "Files",
      "Description": [
        "A property named **Files** of type **IList FileInfo ** containing a collection of file information objects."
      ],
      "Nullable": true,
      "ReadOnly": false,
      "IsInherit": false,
      "DataType": {
        "Identifier": "Container",
        "Reference": "FileInfo",
        "ElementDataType": {
          "Identifier": "Class",
          "Reference": "FileInfo",
          "Name": "class:fileinfo"
        },
        "Name": "container"
      }
    }
  ]
}

OpenAPI Specification

The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.

[Back to API list]
[Back to README]